Debian Bug report logs - #658713
RFS: manaplus/1.2.3.4-1 [NEW] -- Extended client for Evol Online and The Mana World

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: andrei karas <akaras@inbox.ru>

Date: Sun, 5 Feb 2012 13:57:22 UTC

Severity: wishlist

Tags: confirmed

Merged with 660519

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658713; Package sponsorship-requests. (Sun, 05 Feb 2012 13:57:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrei karas <akaras@inbox.ru>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 05 Feb 2012 13:57:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: andrei karas <akaras@inbox.ru>
To: submit <submit@bugs.debian.org>
Subject: RFS: manaplus
Date: Sun, 05 Feb 2012 17:53:48 +0400
Package: sponsorship-requests
Severity: normal

Dear mentors,

I am looking for a sponsor for my package "manaplus".

ManaPlus is client for Evol Online MMORPG and advanced client for The Mana
World.
ManaPlus most used client in both this games.

 * Package name : manaplus
   Version : 1.2.2.5-1
   Upstream Author : Andrei Karas
 * URL : http://manaplus.evolonline.org/
 * License : GPL 2
   Section : games

It builds those binary packages:

manaplus - Extended client for Evol Online and The Mana World
 manaplus-data - Extended client for Evol Online and The Mana World (data
files)
 manaplus-dbg - Extended client for Evol Online and The Mana World (debugging
sym

To access further information about this package, please visit the following
URL:

  http://mentors.debian.net/package/manaplus

Alternatively, one can download the package with dget using this command:

  dget -x
http://mentors.debian.net/debian/pool/main/m/manaplus/manaplus_1.2.2.5-1.dsc

I would be glad if someone uploaded this package for me.

Best regards.

Changed Bug title to 'RFS: manaplus/1.2.2.5-1 [NEW] -- Extended client for Evol Online and The Mana World' from 'RFS: manaplus' Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 11:33:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 11:33:04 GMT) Full text and rfc822 format available.

Added indication that bug 658713 blocks 627141,627142 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 11:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658713; Package sponsorship-requests. (Mon, 06 Feb 2012 12:45:12 GMT) Full text and rfc822 format available.

Message #14 received at 658713@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: andrei karas <akaras@inbox.ru>
Cc: 658713@bugs.debian.org
Subject: Re: Bug#658713: RFS: manaplus/1.2.2.5-1 [NEW] -- Extended client for Evol Online and The Mana World
Date: Mon, 06 Feb 2012 13:42:54 +0100
tag 658713 + confirmed
thanks

Hi,

andrei karas <akaras@inbox.ru> writes:
> ManaPlus is client for Evol Online MMORPG and advanced client for The
> Mana World. ManaPlus most used client in both this games.

I probably won't have time to upload the package, but I did take a brief
look at the Debian packaging where I found some (small) issues:

The ttf-* packages seem to have been replaced by fonts-* packages in
unstable.  The ttf-* packages are now only transistional packages.

The formatting of the package description looks strange with a new line
started at the end of every sentence.

debian/rules: If you copy files to debian/, you should remove them in
the clean target as well.  But as the .menu file is Debian-specific, it
might be better to move it from the upstream source to debian/ anyway.
Or install it directly to the right location instead of copying it to
debian/ just so that dh_installmenu can find it.

debian/rules: $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp can probably
just be dh_auto_install.  Together with the previous change you could
drop this override target.

debian/rules: 'dh_installchangelogs ChangeLog' should no longer be
needed if you use debhelper compat level >= 8.

I would use 'dh_auto_configure -- --bindir=/usr/games' instead of
calling ./configure directly as debhelper passes additional options to
it.

debian/rules: '[ ! -f Makefile ] || $(MAKE) distclean', dh_auto_clean
should do that, no need to override it.

Personally I prefer using 'dh $@ --with autoreconf' over adding the
overrides by hand.

Regards,
Ansgar




Added tag(s) confirmed. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 12:45:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658713; Package sponsorship-requests. (Mon, 06 Feb 2012 20:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrei karas <akaras@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 06 Feb 2012 20:48:41 GMT) Full text and rfc822 format available.

Message #21 received at 658713@bugs.debian.org (full text, mbox):

From: andrei karas <akaras@inbox.ru>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 658713@bugs.debian.org
Subject: Re[2]: Bug#658713: RFS: manaplus/1.2.2.5-1 [NEW] -- Extended client for Evol Online and The Mana World
Date: Tue, 07 Feb 2012 00:44:11 +0400
Hi,

Thanks for review.

ttf-liberation and ttf-mplus changed to fonts-
Descriptions now without additional separation to new lines.
Cleaned rules as was suggested.
Changed debhelper version to 8
Menu included in debian/
I also updated copyright file for some files.

Merged 658713 660519. Request was from andrei karas <akaras@inbox.ru> to control@bugs.debian.org. (Wed, 22 Feb 2012 00:45:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFS: manaplus/1.2.3.4-1 [NEW] -- Extended client for Evol Online and The Mana World' from 'RFS: manaplus/1.2.2.5-1 [NEW] -- Extended client for Evol Online and The Mana World' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 22 May 2012 06:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658713; Package sponsorship-requests. (Sun, 05 Aug 2012 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 05 Aug 2012 05:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 658713@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: andrei karas <akaras@inbox.ru>, 658713@bugs.debian.org
Subject: RFS: manaplus/1.2.3.4-1 [NEW] -- Extended client for Evol Online and The Mana World
Date: Sun, 5 Aug 2012 05:07:37 +0000
Hi Andrei,

The package at mentors is no longer there.  What happened ? Are you still
working on this package or can this RFS be closed ?

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658713; Package sponsorship-requests. (Sun, 05 Aug 2012 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrei karas <akaras@inbox.ru>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 05 Aug 2012 11:51:03 GMT) Full text and rfc822 format available.

Message #35 received at 658713@bugs.debian.org (full text, mbox):

From: andrei karas <akaras@inbox.ru>
To: 658713@bugs.debian.org
Cc: Bart Martens <bartm@debian.org>
Subject: Re: Bug#658713: RFS: manaplus/1.2.3.4-1 [NEW] -- Extended client for Evol Online and The Mana World
Date: Sun, 05 Aug 2012 15:48:56 +0400
Sun, 5 Aug 2012 05:07:37 +0000 от Bart Martens <bartm@debian.org>:
>   
> Hi Andrei,
Hi,

> 
>  The package at mentors is no longer there. What happened ? Are you still
>  working on this package or can this RFS be closed ?
> 

I still waiting sponsor or sponsor response.
And packaged manaplus version already outdated.

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 19 Aug 2012 07:21:04 GMT) Full text and rfc822 format available.

Notification sent to andrei karas <akaras@inbox.ru>:
Bug acknowledged by developer. (Sun, 19 Aug 2012 07:21:04 GMT) Full text and rfc822 format available.

Message #40 received at 658713-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 658713-done@bugs.debian.org
Subject: RFS: manaplus/1.2.3.4-1 [NEW] -- Extended client for Evol Online and The Mana World
Date: Sun, 19 Aug 2012 07:16:55 +0000
There is currently no package to sponsor.



Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 19 Aug 2012 07:21:04 GMT) Full text and rfc822 format available.

Notification sent to andrei karas <akaras@inbox.ru>:
Bug acknowledged by developer. (Sun, 19 Aug 2012 07:21:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Sep 2012 07:25:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:58:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.